/// \file
///
/// This file is part of RakNet Copyright 2003 Kevin Jenkins.
///
/// Usage of Raknet is subject to the appropriate licence agreement.
/// "Shareware" Licensees with Rakkarsoft LLC are subject to the
/// shareware license found at
/// http://www.rakkarsoft.com/shareWareLicense.html
/// "Commercial" Licensees are subject to the commercial license found at
/// http://www.rakkarsoft.com/sourceCodeLicense.html
/// Custom license users are subject to the terms therein.
/// All other users are subject to the GNU General Public
/// License as published by the Free
/// Software Foundation; either version 2 of the License, or (at your
/// option) any later version.

#include "LogCommandParser.h"
#include "RakNetworkFactory.h"
#include "RakServerInterface.h"
#include "RakClientInterface.h"
#include "RakServer.h"
#include "RakClient.h"
#include "RakPeerInterface.h"
#include "RakPeer.h"
#include "ConsoleServer.h"
#include "PacketLogger.h"
#include "RakNetCommandParser.h"
#include "DataReplicator.h"
#include "RakNetTransport.h"
#include "TelnetTransport.h"
#include "PacketConsoleLogger.h"
#include "PacketFileLogger.h"

RakClientInterface* RakNetworkFactory::GetRakClientInterface( void )
{
	return new RakClient;
}
RakServerInterface* RakNetworkFactory::GetRakServerInterface( void )
{
	return new RakServer;
}
RakPeerInterface* RakNetworkFactory::GetRakPeerInterface( void )
{
	return new RakPeer;
}
ConsoleServer* RakNetworkFactory::GetConsoleServer( void )
{
	return new ConsoleServer;
}
DataReplicator* RakNetworkFactory::GetDataReplicator( void )
{
	return new DataReplicator;
}
LogCommandParser* RakNetworkFactory::GetLogCommandParser( void )
{
	return new LogCommandParser;
}
PacketLogger* RakNetworkFactory::GetPacketLogger( void )
{
	return new PacketLogger;
}
RakNetCommandParser* RakNetworkFactory::GetRakNetCommandParser( void )
{
	return new RakNetCommandParser;
}
RakNetTransport* RakNetworkFactory::GetRakNetTransport( void )
{
	return new RakNetTransport;
}
TelnetTransport* RakNetworkFactory::GetTelnetTransport( void )
{
	return new TelnetTransport;
}
PacketConsoleLogger* RakNetworkFactory::GetPacketConsoleLogger( void )
{
	return new PacketConsoleLogger;
}
PacketFileLogger* RakNetworkFactory::GetPacketFileLogger( void )
{
	return new PacketFileLogger;
}
void RakNetworkFactory::DestroyRakClientInterface( RakClientInterface* i )
{
	delete ( RakClient* ) i;
}
void RakNetworkFactory::DestroyRakServerInterface( RakServerInterface* i )
{
	delete ( RakServer* ) i;
}
void RakNetworkFactory::DestroyRakPeerInterface( RakPeerInterface* i )
{
	delete ( RakPeer* ) i;
}
void RakNetworkFactory::DestroyConsoleServer( ConsoleServer* i)
{
	delete ( ConsoleServer* ) i;
}
void RakNetworkFactory::DestroyDataReplicator( DataReplicator* i)
{
	delete ( DataReplicator* ) i;
}
void RakNetworkFactory::DestroyLogCommandParser( LogCommandParser* i)
{
	delete ( LogCommandParser* ) i;
}
void RakNetworkFactory::DestroyPacketLogger( PacketLogger* i)
{
	delete ( PacketLogger* ) i;
}
void RakNetworkFactory::DestroyRakNetCommandParser( RakNetCommandParser* i )
{
	delete ( RakNetCommandParser* ) i;
}
void RakNetworkFactory::DestroyRakNetTransport(  RakNetTransport* i )
{
	delete ( RakNetTransport* ) i;
}
void RakNetworkFactory::DestroyTelnetTransport(  TelnetTransport* i )
{
	delete ( TelnetTransport* ) i;
}
void RakNetworkFactory::DestroyPacketConsoleLogger(  PacketConsoleLogger* i )
{
	delete ( PacketConsoleLogger* ) i;
}
void RakNetworkFactory::DestroyPacketFileLogger(  PacketFileLogger* i )
{
	delete ( PacketFileLogger* ) i;
}
